VideoPro - Release Log
CactusThemes

VideoPro 2.3.6.3 - 2019/06/05
includes Cactus-Actor 1.1.4.0; Cactus-Rating 1.2.1.3; Easy Tab 2.0.2; Vissual Composer 5.7
#Fix: PHP 7.3 warning
#Add: Membership 2 into theme package

VideoPro 2.3.6.2 - 2019/04/16
includes Cactus-Video 2.3.6.2; Cactus-Actor 1.1.3.9;
#Fix: Counter issues
#Fix: Show search results
#Fix: Error for update recommend series when update post
#Fix: Option re-order series
#Fix: Actor listing thumbnail size

VideoPro 2.3.6.1 - 2019/02/19
includes Cactus-Video 2.3.6.1; VideoPro - Shortcodes 1.3.4.6; Vissual Composer 5.7; Cactus Badges 1.1; Cactus Rating 1.2.1.2;
#Fix: Video-series
#Fix: Badge in edit post sidebar
#Fix: Cactus count views
#Fix: Cactus increase view
#Fix: Autoplay vimeo with video play thumbnail
#Fix: Missing video series for classic editor
#Fix: Button sidebar z-index
#Fix: Embeb video width/height = 1
#Fix: Search page issues
#Fix: Missing series box in classic mode
#Fix: Series dropbox z-index
#Fix: Series box height when got many items
#Fix: rating start
#Fix: PHP warning

VideoPro 2.3.6.0 - 2018/12/12
includes Cactus-Video 2.3.6.0; Cactus-Actor 1.1.3.8; Vissual Composer 5.6;
#Fix: Option post select
#Fix Sart backward multi link option
#Fix: Theme Option issue
#Fix: Single video z-index layout
#Update: Compatible with Wordpress 5.0

VideoPro 2.3.5.7 - 2018/11/12
includes Cactus-Video 2.3.5.7; 
#Fix: Submit video button > stop hide email fields
#Add: Include Option Tree on Theme package

VideoPro 2.3.5.6 - 2018/10/26
includes Cactus-Video 2.3.5.6; Visual Composer 5.5.5;
#Fix: WP Editor for post front end editor description
#Fix: Show/hide author, date for search content
#Fix: Dropdown magemenu overlow text
#Fix: Imporve remove email field when user logged in (contact form 7 for user submit video)
#Add: Social link target for Theme Option 

VideoPro 2.3.5.5 - 2018/10/01
includes Cactus-Video 2.3.5.5; VideoPro - Shortcodes 1.3.4.5; Visual Composer 5.5.4;
#Fix: Next - Previous for single Video Playlist
#Fix: Facebook, Google api script issue
#Fix: Next - Previous page button

VideoPro 2.3.5.4 - 2018/08/27
includes Cactus-Video 2.3.5.4; Cactus Actor 1.1.3.7; Cactus Landingpage 1.0.1; VideoPro - Shortcodes 1.3.4.4;	
#Fix: Watch-late warning issue
#Fix: Pull-left, pull-right element
#Fix: Widget category show all
#Fix: Single actor ajax loadmore video
#Add: Allow custom playlist video order
#Fix: Ajaxload for custom order playlist
#Fix: Gallery missing icon font
#Fix: Smart content box order by rating
#Fix: Warning PHP
#Fix: Cactus landing page

VideoPro 2.3.5.3 - 2018/08/10
includes Cactus-Video 2.3.5.3; Cactus Actor 1.1.3.6; Visual Composer 5.5.2;
#Add: Amp-src for embed video
#Add: Render amp as self-hosted
#Fix: Amp-iframe for embed video
#Upgrade: Videopro category widget
#Fix: Allow video channel order DESC or ASC
#Fix: Improve watch late
#Fix: Allow reclick to remove from watch late
#Fix: Show added watch late in first loading video
#Add: Hook video submission

VideoPro 2.3.5.2 - 2018/07/12
#Fix breadcrumb author page

VideoPro 2.3.5.1 - 2018/07/04
includes Cactus-Video 2.3.5.2
#Fix fatal error (ct form 7 not activated)


VideoPro 2.3.5 - 2018/06/09
includes Cactus-Video 2.3.5; Cactus Ads 2.5.5.4; Cactus Actor 1.1.3.5
#Update: support Video Streaming using VideoWhisper plugin and RTMP servers (such as Wowza). See doc
#Update: option to show notifications when someone subscribed your channels
#Update: option to limit User Upload Video feature for only Admin
#Fix: dark schema style
#Fix: support BuddyPress 3.0
#Fix: some minor bugs

VideoPro 2.3.4.5 - 2018/05/29
includes Cactus-Video 2.3.4.3; Cactus Ads 2.5.5.3
#Update: support for YouTube player settings - "Related videos", "Show Video Info on player" and "Remove annotations on video" settings when using Video Ads
#Update: [WP Cloud Assets add-on] support Vimeo PRO account
#Update: add 'download' property for Download button
#Fix: leaving empty value in one of Video File, Video URL and Embed Code fields in Video Submit Form still work
#Fix: 'Page Not Found' title of Front-end Edit Video page when using SEO YOAST plugin
#Fix: Vertical Video layout issue.
#Fix: some warning bugs
#Fix: [WP Cloud Assets add-on] returned video URL is pasted in Video File instead of Video URL field.

VideoPro 2.3.4.3 - 2018/04/27
includes Cactus-Video 2.3.4.1; Cactus-Actor 1.1.3.4; Advance Search Form 1.4.9.8; Cactus Ads 2.5.5.2
#Fix: some minor errors and CSS including Font-Awesome icons
#Fix: cannot click on Delete video after ajax-loaded
#Fix: hide "Layout Switcher Toolbar" for search results page when option is turned off
#Fix: cannot save channel Social links from front-end
#Fix: users can see Edit icon for other users' channel page
#Update: [Cactus Ads] support Youtube Short URL

VideoPro 2.3.4.2 - 2018/03/30
includes Cactus-Video 2.3.4; Visual Composer 5.4.7
#Fix: some minor errors and CSS
#Fix: cannot use Control Bar on Video File on Lightbox
#Fix: "Auto check 'Do Not Fetch'" option does not work correctly
#Fix: conflict between Elite Player and Bz Player
#Fix: Off-canvas menu opening issue
#Fix: layout is broken if using FV Flow Player and JS Player in Video Header - Thumbnail mode
#Fix: cannot load image when uploading from front-end in a multisite
#Update: add "Back to primary Video" for multi-link video
#Update: Users can edit Channel Social Accounts from front-end

VideoPro 2.3.4.1 - 2018/03/05
includes Cactus-Video 2.3.3
#Add: add filters to set post status for Video when uploading from front-end in Channel or Playlist
#Add: a better Sample Data plugin
#Add: option to check "Do Not Fetch" automatically after first time fetching (to prevent data wiped out)
#Update: validate to require at least one of 3 fields: Video File, Video Code or Video URL when submitting video
#Fix: BuddyPress notification panel layout
#Fix: File Dialog opens twice when using Gravity Multi-File Upload field in Video Submit form
VideoPro 2.3.4 - 2018/02/26
includes Cactus-Video 2.3.2.6; VideoPro-Shortcodes 1.3.4.2; Cactus-Actor 1.1.3.1; Cactus Ads 2.5.5.1
#Add: option to redirect to BuddyPress Profile after login
#Add: add-on to support WP Offload S3 Lite - store video files on Amazon S3 (http://videopro.cactusthemes.com/doc/docs/faq/host-video-file-on-cdn/wp-offload-s3-lite/)
#Add: add-on to support WP Cloud Assets - store video files on various CDN (http://videopro.cactusthemes.com/doc/docs/faq/host-video-file-on-cdn/wp-cloud-upload-media-files-to-cdn-hosting/)
#Update: Font Awesome 5.0.6
#Update: show Video Submit button on Sticky Menu on mobile
#Update: order items by name in Actors Listing page
#Fix: update some Font Awesome icons
#Fix: conflict between Cactus Ads and MyCred
#Fix: link to Disqus Comments section
#Fix: broken layout when using Video File in Lightbox
#Fix: 2 Search Icons on mobile when using ASF plugin

VideoPro 2.3.3 - 2018/02/08
includes Cactus-Video 2.3.2.5; VideoPro-Shortcodes 1.3.4.1
#Update: Font Awesome 5.0.6
#Update: show Video Submit button on Sticky Menu on mobile
#Update: order items by name in Actors Listing page
#Fix: incorrect HTML in Popular Channel widget
#Fix: conflict with Indeed Membership plugin
#Fix: Smart Content Box pagination works incorrectly
#Fix: order videos in Video Series does not work
#Fix: Post Slider layout 7 on IE

VideoPro 2.3.2.4 - 2017/12/15
includes Cactus-Video 2.3.2.4
#Fix: WooCommerce breadcrumbs is broken
#Fix: CSS bugs
#Fix: WooCommerce Product Lightbox doesn't work
#Fix: Order By Most Viewed in Channel doesn't work properly
#Fix: Auto-Next and Auto-Replay Video doesn't work properly
#Update: add a loading icon while downloading Video Screenshots when mouse is over the first image

VideoPro 2.3.2.3 - 2017/11/25
includes Visual Composer 5.4.5
#Add: option to choose Login Redirect page
#Fix: Mega Menu display issues
#Fix: channel avatar height
#Fix: AMP doesn't spport inline CSS
#Fix: an empty p tag appears in Author Description in WP 4.9
VideoPro 2.3.2.2 - 2017/11/11
includes Cactus-Video 2.3.2.2; Child Theme 1.1
#Fix: Custom Player shortcode and Elite play feature does not work
#Update: support to protect Video content using MyCred automatically. Child Theme 1.1 required

VideoPro 2.3.2.1 - 2017/11/10
includes Cactus-Video 2.3.2.1;
#Fix: unable to play YouTube videos

VideoPro 2.3.2 - 2017/11/09
includes Cactus-Video 2.3.2; Cactus-Actor 1.1.3; Cactus-Ads 2.5.5; Cactus-Rating 1.2.1; Visual Composer 5.4.2;
#Update: Support MyCred plugin with Sell & Buy Addon
#Update: Support Indeed Ultimate Membership Pro plugin
#Update: Support Quform - require VideoPro Quform Add-on (premium)
#Fix: using Player Logic with Header Image option
#Fix: some warning notices
#Fix: incorrect video metadata in embed feature
#Fix: using Embed Code in Multi-links when main video is URL or File

VideoPro 2.3.1 - 2017/10/24
includes Cactus-Video 2.3.1; VideoPro-Shortcodes 1.3.4.1; Cactus-Actor 1.1.2; Cactus-Rating 1.2.0.1; Visual Composer 5.4
#Add: Auto Synchronize YouTube & Vimeo View Count option
#Fix: fatal error with PHP 5.4
#Fix: "order by views" (using Top 10 plugin) does not work correctly
#Fix: Embed Facebook Video with Vertical ratio does not display properly

VideoPro 2.3 - 2017/10/11
includes Cactus-Video 2.3; VideoPro-Shortcodes 1.3.4; Cactus-Actor 1.1.1; Visual Composer 5.3
#Add: option to use Custom Video Player shortcode. Work with any Video Player that uses shortcode (ex: bzplayer Pro - not officially https://codecanyon.net/item/bzplayer-pro-live-streaming-player/20496418)
#Add: option to change video order in Playlist
#Add: support Elite Player (https://codecanyon.net/item/elite-video-player-wordpress-plugin/10496434)
#Update: support Multi-links for Video File
#Update: Menu Visibility Logic works with mobile menu
#Update: Sample Data
#Fix: Layout is broken when using Top Content Sidebar in some pages
#Fix: Layout issues of Posts Slider layout 8 shortcode
#Fix: Video Extensions admin link appears in admin bar for all user roles
#Fix: Auto Next video feature in playlist stops when screensize is small
#Fix: remove autoplay option for Daily Motion AMP Video page
#Fix: Layout issues of LightBox player when using Video File with different players
#Fix: Google Structure Data validation

VideoPro 2.2.1 - 2017/09/18
includes Cactus-Video 2.2.1; VideoPro-Shortcodes 1.3.3
#Fix:Sidebar setting for Watch Later page template doesn't work
#Fix:CSS issue when using Thumbnail Image header and JW Player for video
#Fix:"Add To Watch Later" button doesn't work when posts are ajax-loaded
#Fix:Avatar size issue in BuddyPress 2.9.1
#Update:Improve AMP template, add related posts links and fix RTL issue

VideoPro 2.2 - 2017/08/22
includes Cactus-Video 2.2; VideoPro-Shortcodes 1.3.2; Visual Composer 5.2.1
#Add: Video & Post Page Template
#Add: support Google AMP for Single Post. Check Doc
#Add: support Facebook Instant Articles for Single Post. Check Doc
#Add: option to redirect users to the new post after submitting
#Update: only load video screenshots when mouse hovers on, improve loading performance
#Fix: conflict with Advanced Custom Fields Pro
#Fix: layout issues with BuddyPress 2.9.0
#Fix: backward-compatible with PHP 5.3
#Fix: Advance Search Form does not work properly with custom post types
#Fix: remove BuddyPress notification doesn't work
#Fix: Ajax-pagination does not work properly when ordering by like

VideoPro 2.1.1 - 2017/07/04
includes Cactus-Video 2.1.1; VideoPro-Shortcodes 1.3.1;
#Update: option to order by Most Viewed for Actors, Playlists and Channels using SCB shortcode
#Update: option to turn on/off auto-paragraph feature in new Text Widget WP 4.8, support using shortcodes inside the widget
#Update: add notifications to subscribers when posts are added from back-end
#Fix: duplicated right side-ad in video post that has Video Header set to Thumbnail Image
#Fix: order posts by Like in channel
#Fix: option to use JWPlayer 7 settings
#Fix: minor bugs

VideoPro 2.1 - 2017/05/29
includes Cactus-Video 2.1; VideoPro-Shortcodes 1.3; Cactus-Actor 1.1
#Add: SCB shortcode to support Channels, Playlists and Actors post types
#Add: Posts Slider shortcode to support Channels, Playlists and Actors post types
#Add: Video Embed Code sharing feature
#Add: option to change Movie Series list into select box
#Add: add Preloading feature
#Add: add new Actors when creating new video
#Update: toggle JW Player settings on post-basis
#Update: support YouTube link with Start param
#Update: compatible with Advanced Custom Fields plugin
#Update: support playing video on Facebook if using embed code
#Update: compatible with Give (donation) plugin
#Update: compatible with WPDiscuz plugin
#Update: add User Avatar to login menu
#Update: check plugin versions to ensure theme-compatibility
#Fix: Error with BuddyPress if Notifications component is turned off
#Fix: conflict with latest version of JW Player and light-box feature
#Fix: cannot go to Edit Video page if a video has an Ad
#Fix: SCB shortcode cannot list videos after Bulk Edit Video in admin
#Fix: default language of Google+ button
#Fix: order by Input ID doesn't work in shortcodes
#Fix: multi-links feature issues with Thumbnail Image header
#Fix: duplicated posts in category page if choosing order by title
#Fix: setting for ordering items in More Videos doesn't work correctly

VideoPro 2.0.9 - 2017/05/03
includes Cactus-Video 2.0.9; VideoPro-Shortcodes 1.2.1.2;
#Add: option to use all features of JW Player 7 for WP plugin premium, including HD Toggle or Video Playlist, Video Sub Title
#Add: option to change Player Icon animation effect of Image Header mode
#Update: show "no-data" message in Video Post submission form if there isn't any categories, channels or playlists
#Fix: Warning messages and deprecated functions
#Fix: Edit Video button link does not appear when using Image Header mode
#Fix: Option to limit number of channels allowed to create does not work
#Fix: Multi-link feature when using Image Header mode and https issue
#Fix: Player Light on/off feature issue when using Image Header mode

VideoPro 2.0.8 - 2017/04/12
includes Cactus-Video 2.0.7.1; VideoPro-Shortcodes 1.2.1.1; Cactus-Actor 1.0.4.6; Visual Composer 5.1.1
#Update: Support WooCommerce 3.0.1
#Update: Option to upload small category thumbnail image
#Fix: Warning messages and deprecated functions
#Fix: Incorrect datetime in Posts Slider layout 7
#Fix: Cannot edit video (from front-end) if permalink structure is not %postname%
#Fix: unable to click Save in the first time when adding shortcode (in VC Editor)
#Fix: Number of subscribers is always 0 in Channels Listing Compact Mode

VideoPro 2.0.7 - 2017/03/23
includes Cactus-Video 2.0.7; VideoPro-Shortcodes 1.2.1; Visual Composer 5.1
#Add: Option to turn off Channel Subscription
#Add: Posts Slider can display Actors
#Add: Option to only show Channels and Playlists of current uploader in Submission Form
#Update: Improve UX on mobile - Touch to scroll will not trigger openning single post anymore
#Update: compatible with Everlight Photo Gallery plugin
#Update: Visual Composer 5.1
#Fix: JW Player doesnot work when using Image Header option for video post
#Fix: BuddyPress Notification Bubble shows info for all visitors in profile page
#Fix: Video Edit page layout breaks at screen width 1281-1366

VideoPro 2.0.6 - 2017/03/06
includes Cactus-Video 2.0.6; VideoPro-Shortcodes 1.2.0.5; Cactus-Ads 2.5.4.5; VideoPro-Child-Theme-Poster 1.0.1
#Fix: Statistics of HTML ads does not work
#Fix: Margin Top of main body in Category page is too big when it does not have thumbnail
#Fix: Mega Menu works with Tag menu item
#Fix: Child Theme Poster Size - size of post thumbnails in Related Posts section
#Update: Quick & Bulk Edit Post Channels and Playlists

VideoPro 2.0.5.6 - 2017/02/06
includes Cactus-Video 2.0.5.7; Cactus-Ads 2.5.4.3
#Fix: Cover image in BuddyPress profile page does not show
#Fix: cannot open full-screen Facebook Video
#Fix: warning errors in Membership sign up page
#Fix: Video Ads doesn't show up when Video Header option is Thumbnail Image
#Fix: HTML iframe Ads doesn't show up (should not use a Video Iframe in Video Ads)
#Fix: option to show Post Likes button to be separated from Social Sharing option
#Fix: cannot change Video Player Background Color
#Add: option to show BuddyPress notification bubble on header (in Theme Options > BuddyPress)

VideoPro 2.0.5.5 - 2017/02/06
includes Cactus-Video 2.0.5.6; VideoPro-Shortcodes 1.2.0.5;
#Fix: unable to open Lightbox Player on mobile
#Fix: sidebar setting for Shop page
#Fix: using incorrect self-hosted video player for Posts Slider with inline player
#Fix: Channels and Playlists does not list all in video Submit Form
#Fix: css issues
#Update: language file

VideoPro 2.0.5.4 - 2017/01/25
includes Cactus-Video 2.0.5.5; VideoPro-Shortcodes 1.2.0.4;
#Fix: Layout Switch Tool in category page doesn't work properly
#Fix: draft posts appear in Category page
#Fix: JW Player 7 issues with Posts Slider shortcode using inline and lightbox player mode
#Update: support Autoplay feature of JW Player 7 Premium version
#Update: add Gallery and Audio icon for appropriate post formats

VideoPro 2.0.5.3 - 2016/12/29
includes Cactus-Video 2.0.5.4; Cactus-Actor 1.0.4.5
#Update: only admin can mark an user "verified"
#Update: support Video Resolution toggle for JW Player 7
#Fix: missing "Search Results for..." in breadcrumbs
#Fix: translate text in admin of Cactus Actor plugin
#Fix: Ajax loading issue in single Playlist

VideoPro 2.0.5.2 - 2016/12/24
includes Cactus-Video 2.0.5.3; Advance-Search-Form 1.4.9.6; VideoPro-SampleData 1.3
#Fix: issues with Force Using JWPlayer for YouTube videos
#Fix: incorrect Video Duration when using YouTube WP Plugin to import videos
#Fix: require choosing Categories in Contact Form 7 - Submission form
#Fix: incorrect next/prev videos when time format is not standard
#Update: sample data for V2
#Update: lazy load background image
#Update: sanitize search input value to security
#Update: show Like/Dislike buttons for standard posts

VideoPro 2.0.5.1 - 2016/12/15
includes Cactus-Video 2.0.5.2;
#Fix: link to comments section
#Fix: conflict with Captcha field in Post Submission form
#Fix: bulk edit - adding videos to series
#Fix: ajax pagination in Channels Listing page - WP 4.7 issue
#Update: support Contact Form 4.6
#Add: option to set height for popup form
#Add: option to close popup form when clicking outside content

VideoPro 2.0.5 - 2016/12/09
includes Cactus-Video 2.0.5; Cactus-Actor 1.0.4.3
#Fix: Carousel Slider in RTL on IE browser
#Fix: auto-next feature for YouTube videos
#Fix: various issues
#Fix: cannot close Floating Video if Video Header is Thumbnail
#Fix: RTL issues
#Update: correct comments link when Disqus is used
#Update: show views, likes, comments count in Popular Posts Widget based on condition
#Update: WordPress 4.7 support
#Add: Channel Thumbnail option, to upload Channel Thumbnail
#Add: option to print out video meta tags, support Google Search Results
#Add: option to mark Channel, Actor and Author "verified"

VideoPro 2.0.4 - 2016/12/06
includes Cactus-Video 2.0.4;
#Fix: adding videos to series using Quick Edit doesn't work
#Fix: Twitter meta tags
#Fix: drag and drop file in Front-end Post Submission, using GravityForms
#Fix: do not refresh after uploading videos
#Update: support Category, Playlist, Channel dropdown in GravityForms
#Update: order of videos in Actor and Playlist page changes to DESC
#Update: support deLucks SEO plugin
#Update: languge file

VideoPro 2.0.3 - 2016/11/30
includes Cactus-Video 2.0.3; VideoPro-Shortcodes 1.2.0.3; Visual Composer 5.0.1
#Fix: option to hide view count doesn't work in standard posts
#Fix: param Column of Authors Listing shortcode doesn't work
#Fix: Ajax pagination doesn' work in Channel and Author pages
#Fix: "Agreement" checkbox in Creating Channel form doesn't require
#Update: Option to turn on/off Public Profile menu item
#Update: Option to add Register menu item
#Update: language files

VideoPro 2.0.2 - 2016/11/21
includes Cactus-Video 2.0.2; VideoPro-Shortcodes 1.2.0.2; Cactus-Ads 2.5.4.1; Advance Search Form 1.4.9.4
#Fix: incorrect Back link when going to Edit Video page from Public Profile
#Fix: Tag suggestion of Advance Search Form
#Fix: option to hide comments count in Single Video page
#Fix: when creating first playlist in channel, it does not appear
#Fix: missing Edit Playlist button
#Fix: https issue with Google Reponsive Ad shortcode
#Update: add Delete link in Edit Popup of Channel and Playlist for quick action
#Update: improve RTL and language files
#Update: able to select Ads from dropdown
#Update: option to change Categories, Channels, Playlists checkbox and radio group into Dropdown
#Update: add option to Force Using JWPlayer for YouTube videos
#Update: add filter to change number of videos in single actor page (http://bit.ly/2g9Ojqt)
#Update: support hierarchical layout in Categories widget
#Update: add option to set default status for User-Generated Content in Video Extensions > Membership Settings

VideoPro 2.0.1 - 2016/11/11
includes Cactus-Video 2.0.1; VideoPro-Shortcodes 1.2.0.1
#Fix: checking incorrect post format in SCB shortcodes
#Fix: set default value for Delay Before Auto-Next
#Update: option to disable Video Ads for a specific Membership
#Update: support entering Video Duration for self-hosted videos
#Update: Visual Composer 5.0
#Update: language files of plugins

VideoPro 2.0 - 2016/11/07
includes Cactus-Videos 2.0; VideoPro-Shortcodes 1.2; Cactus-Actors 1.1;
#Fix: issues with Video Duration
#Fix: Watched Later template
#Fix: various bugs
#Update: adding Twitter Metadata
#Update: adding Customg Social Accounts for Actor
#Update: support Short YouTube URL (youtu.be)
#Update: adding Random condition for SCB shortcode
#Add: Membership features
#Add: support WPMU Membership 2 plugin
#Add: support BuddyPress

VideoPro 1.3.1.2 - 2016/10/27
includes Cactus-Video 1.5.4.4; Cactus-Actors 1.0.4.1; VideoPro-Shortcodes 1.1.1
#Fix: lost of Hamburger Menu icon on Sticky Menu when Search Box is hidden
#Fix: pagination of single Channel, Playlist and Actor pages
#Fix: saving password fail in themed profile of Theme My Login
#Update: support Nelio External Featured Image plugin

VideoPro 1.3.1.1 - 2016/10/25
includes Cactus-Video 1.5.4.3; Cactus-Actors 1.0.4; Advance Search Form 1.4.9.3
#Fix: Search Results sidebar setting does not change as in Theme Options
#Fix: various CSS bugs
#Update: language files of theme and plugins
#Update: Font Awesome 4.7
#Update: Add Website and IMDB data to Actor
#Update: filters to translate characters of Actors Listing page
VideoPro 1.3.1 - 2016/10/15
include Cactus-Video 1.5.4.1; Cactus-Actor 1.0.3.2; Cactus-Ads 2.5.4; Advance Search Form 1.4.9.2
#Fix: update RTL issues
#Fix: update language file
#Fix: minor css issues
#Fix: Video Ads to repeat ad and support self-hosted video
#Update: support GravityForms for Posts Submission feature
#Add: Light on/off feature
VideoPro 1.3 - 2016/10/03
include Cactus-Video 1.5.4; Cactus-Actor 1.0.3; VideoPro-Shortcodes 1.1; VideoPro-SampleData 1.2; Cactus-Ads 2.5.3
#Fix: layout settings in Channel Listing and Author Listing page templates
#Fix: auto-play self-hosted video in playlist
#Update: options to control order of videos in Video Series (Video Extensions > Video Series)
#Update: support Auto Next for self-hosted videos
#Update: improve RTL
#Update: able to choose Video File from media library
#Update: use of WP Color Picker instead of JSColor. Fix VC Design Options saving issue
#Update: sample data to create demo home pages
#Update: Smart Content Box shortcode to add Time Range condition
#Update: language file
#Update: include recommended plugins in the theme, so they can be installed at once
#Add: Dark schema option for body content (Theme Options > Theme Layout)
#Add: a Go To Top button (Theme Options > General)

VideoPro 1.2.3.1 - 2016/09/23
include Cactus-Video 1.5.3.1; Cactus-Shortcode 1.0.5
#Fix: layout bugs in RTL mode
#Fix: auto-play setting of video in playlist doesn't work
#Fix: sidebar setting in Author page layout
#Fix: localize date format of Recommended Series widget
#Update: option to show/hide View Count in Smart Content Box shortcode

VideoPro 1.2.3 - 2016/09/15
include Cactus-Video 1.5.3; Cactus-Ads 2.5.2
#Fix: cannot fetch video data on some servers (allow_url_fopen = 0)
#Fix: Video Ads does not work with Vimeo videos
#Fix: incorrect Video Duration display
#Update: support GDrive Video URL (in Video File property)
#Update: add option to get more videos by Same Channel
#Update: add option to auto-fetch data for User Submitted Posts
#Update: increase width for column Title in admin Posts Listing

VideoPro 1.2.2 - 2016/09/09
include Cactus-Video 1.5.2
#Fix: "Channels contain this video" and "Playlists contain this video" boxes list all items when post does not belong to any channels/playlists
#Fix: Prev/Next buttons and More Video items are not synchronized
#Update: option to play video directly on Facebook when sharing
#Update: Visual Composer 4.12.1

VideoPro 1.2.1 - 2016/09/05
include Cactus-Video 1.5.1; Cactus-Shortcodes 1.0.4; VideoPro-SampleData 1.1
#Fix: SCB shortcode does not filter by tag
#Fix: multi-links appear twice in Playlist Mode
#Fix: Hide Author setting does not work in Video Post
#Fix: SCB shortcode does not hide Excerpt in second pages
#Fix: Order By custom data (views, likes, comments, rating) does not work if posts do not have init value
#Update: compress default theme images to save KBs
#Update: option to show/hide channel metadata in Top Channels widget
#Update: minor optimization
#Add: Child Theme with Light Footer Schema
#Add: option to only allow Spam Report when logged in

VideoPro 1.2.0.3 - 2016/09/03
include Cactus-Ads 2.5.1.6; Cactus-Video 1.5.0.2; Cactus-Actors 1.0.2
#Fix: pagination in Channel's Videos Listing and Playlists Listing doesn't work
#Update: support use of youtu.be link format
#Update: filter to change Footer schema (from .dark-div to others)
#Update: update Top Authors and Channel Listing to show metadata
#Update: optimize code
#Update: optimize Smart Content Box layout 1 to improve image loading
#Add: Side Ads for full-width Video Player
#Add: Authors Listing page template and shortcode

VideoPro 1.2.0.2 - 2016/08/29
include Cactus-Ads 2.5.1.5; Cactus-Video 1.5.0.1; Advance-Search-Form 1.4.9.10
#Fix: incorrect number of videos in Channel Listing shortcode
#Fix: page template Watch Later does not work correct when list is empty
#Fix: some warning messages in Advance Search Form widget
#Fix: some minor changes in language text
#Fix: Thumbnail Image header doesn't work in Inbox layout
#Update: move Vimeo CDN Script in Cactus Ads to shortcode inline, so it only loads when needed

VideoPro 1.2.0.1 - 2016/08/27
include Cactus-Ads 2.5.1.4; Cactus-Converter 1.0.1
#Fix: Theme Options > Custom CSS does not work
#Update: allow to play Video Ads on mobile
#Update: improve Cactus Convert messages

VideoPro 1.2 - 2016/08/25
include Advance-Search-Form 1.4.9; VideoPro-Shortcodes 1.0.2; Cactus-Video 1.5
#Fix: Posts Slider style 1 does not autoplay
#Fix: incorrect thumbnail sizes in some shortcodes
#Fix: to search published posts only in Ajax Search
#Update: improve Ajax Search style
#Update: able to submit posts to channel or playlist
#Update: new Single Video header - option to show Featured Image instead of player
#Update: Copyright Text to support HTML
#Add: Watch Later feature
#Add: External Link feature - for affiliaters!

VideoPro 1.1.0.1 - 2016/08/20
includes Cactus-Ads 2.5.1.3, Cactus-Video 1.4.5.3
#Update: option to change the word "video" in category page
#Fix: Video Ads bug which the ad does not work

VideoPro 1.1 - 2016/08/19
#Update: support WooCommerce
#Fix: small CSS issues

VideoPro 1.0.1 - 2016/08/18
#Fix: Slider layout issues on FireFox
#Fix: small CSS issues

VideoPro 1.0.0 - First Release - 2016/08/16